Forge

Data Structures | Namespaces | Functions
font.h File Reference
`#include <fg/defines.h>`

Go to the source code of this file.

## Data Structures
class | Font
| Font object is essentially a resource handler for the specific font you want to use. More...

## Namespaces
| forge

## Functions
FGAPI fg_err | fg_create_font (fg_font *pFont)
| Create a Font object. More...
FGAPI fg_err | fg_retain_font (fg_font *pOut, fg_font pIn)
| Increase reference count of the resource. More...
FGAPI fg_err | fg_release_font (fg_font pFont)
| Destroy font object. More...
FGAPI fg_err | fg_load_font_file (fg_font pFont, const char *const pFileFullPath)
| Load a given font file. More...
FGAPI fg_err | fg_load_system_font (fg_font pFont, const char *const pFontName)
| Load a system font based on the name. More...